## org.eclipse.emf.mapping.ecore2xml.presentation
Class Ecore2XMLModelWizard

    java.lang.Object
      org.eclipse.jface.wizard.Wizard
          org.eclipse.emf.mapping.ecore2xml.presentation.Ecore2XMLModelWizard

All Implemented Interfaces:
  IWizard, INewWizard, IWorkbenchWizard

    public class Ecore2XMLModelWizard

extends Wizard
implements INewWizard

This is a simple wizard for creating a new model file.

Nested Class Summary
`class` `Ecore2XMLModelWizard.Ecore2XMLModelWizardInitialObjectCreationPage` This is the page where the type of object to create is selected
`class` `Ecore2XMLModelWizard.Ecore2XMLModelWizardNewFileCreationPage` This is the one page of the wizard

Field Summary
`protected Ecore2XMLFactory` `ecore2XMLFactory` This caches an instance of the model factory
`protected Ecore2XMLPackage` `ecore2XMLPackage` This caches an instance of the model package
`protected Ecore2XMLModelWizard.Ecore2XMLModelWizardInitialObjectCreationPage` `initialObjectCreationPage` This is the initial object creation page
`protected java.util.List<java.lang.String>` `initialObjectNames` Caches the names of the types that can be created as the root object
`protected Ecore2XMLModelWizard.Ecore2XMLModelWizardNewFileCreationPage` `newFileCreationPage` This is the file creation page
`protected IStructuredSelection` `selection` Remember the selection during initialization for populating the default container
`protected IWorkbench` `workbench` Remember the workbench during initialization

Fields inherited from class org.eclipse.jface.wizard.Wizard
`DEFAULT_IMAGE`

Constructor Summary
`Ecore2XMLModelWizard()`

Method Summary
`void` `addPages()` The framework calls this to create the contents of the wizard
`protected EObject` `createInitialModel()` Create a new model
`protected java.util.Collection<java.lang.String>` `getInitialObjectNames()` Returns the names of the types that can be created as the root object
`IFile` `getModelFile()` Get the file from the page
`void` `init(IWorkbench workbench, IStructuredSelection selection)` This just records the information
`boolean` `performFinish()` Do the work after everything is specified

Methods inherited from class org.eclipse.jface.wizard.Wizard

`addPage, canFinish, createPageControls, dispose, getContainer, getDefaultPageImage, getDialogSettings, getNextPage, getPage, getPageCount, getPages, getPreviousPage, getShell, getStartingPage, getTitleBarColor, getWindowTitle, isHelpAvailable, needsPreviousAndNextButtons, needsProgressMonitor, performCancel, setContainer, setDefaultPageImageDescriptor, setDialogSettings, setForcePreviousAndNextButtons, setHelpAvailable, setNeedsProgressMonitor, setTitleBarColor, setWindowTitle`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface org.eclipse.jface.wizard.IWizard
`canFinish, createPageControls, dispose, getContainer, getDefaultPageImage, getDialogSettings, getNextPage, getPage, getPageCount, getPages, getPreviousPage, getStartingPage, getTitleBarColor, getWindowTitle, isHelpAvailable, needsPreviousAndNextButtons, needsProgressMonitor, performCancel, setContainer`

Field Detail

### ecore2XMLPackage

    protected Ecore2XMLPackage ecore2XMLPackage

  This caches an instance of the model package.

### ecore2XMLFactory

    protected Ecore2XMLFactory ecore2XMLFactory

  This caches an instance of the model factory.

### newFileCreationPage

    protected Ecore2XMLModelWizard.Ecore2XMLModelWizardNewFileCreationPage newFileCreationPage

  This is the file creation page.

### initialObjectCreationPage

    protected Ecore2XMLModelWizard.Ecore2XMLModelWizardInitialObjectCreationPage initialObjectCreationPage

  This is the initial object creation page.

### selection

    protected IStructuredSelection selection

  Remember the selection during initialization for populating the default container.

### workbench

    protected IWorkbench workbench

  Remember the workbench during initialization.

### initialObjectNames

    protected java.util.List<java.lang.String> initialObjectNames

  Caches the names of the types that can be created as the root object.

Constructor Detail

### Ecore2XMLModelWizard

    public Ecore2XMLModelWizard()

Method Detail

### init

    public void init(IWorkbench workbench,
                     IStructuredSelection selection)

  This just records the information.

  Specified by:
    `init` in interface `IWorkbenchWizard`

### getInitialObjectNames

    protected java.util.Collection<java.lang.String> getInitialObjectNames()

  Returns the names of the types that can be created as the root object.

### createInitialModel

    protected EObject createInitialModel()

  Create a new model.

### performFinish

    public boolean performFinish()

  Do the work after everything is specified.

  Specified by:
    `performFinish` in interface `IWizard`
  Specified by:
    `performFinish` in class `Wizard`

### addPages

    public void addPages()

  The framework calls this to create the contents of the wizard.

  Specified by:
    `addPages` in interface `IWizard`
  Overrides:
    `addPages` in class `Wizard`

### getModelFile

    public IFile getModelFile()

  Get the file from the page.

Copyright 2001-2006 IBM Corporation and others. All Rights Reserved.